NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::BridgeSurfaceBuilder Class Reference

Represents a NXOpen::Features::BridgeSurface builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateBridgeSurfaceBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::BridgeSurfaceBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void ConstructSurfaceBoundaryCurve (bool startBoundary)
 Constructs bridge surface boundary curve
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::FlowDirectionEdgeFlowDirection ()
 Returns the flow direction. More...
 
NXOpen::GeometricUtilities::TangentMagnitudeBuilderEdgeTangentMagnitude ()
 Returns the edge tangent magnitude
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityFirstEdgeContinuity ()
 Returns the first edge continuity
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderFirstEdgeOffset ()
 Returns the first edge offset
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::CurveRangeBuilderFirstEdgeRange ()
 Returns the first edge range
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectFirstEdgeSelection ()
 Returns the first edge selection
Created in NX8.0.0. More...
 
double G0Tolerance ()
 Returns the g0 tolerance
Created in NX8.0.0. More...
 
double G1Tolerance ()
 Returns the g1 tolerance
Created in NX8.0.0. More...
 
double G2Tolerance ()
 Returns the g2 tolerance
Created in NX8.0.0. More...
 
bool IsEndHandlesLinked ()
 Returns the flag indicating if the end handles are linked
Created in NX8.0.0. More...
 
bool IsFirstEdgeContinuityReversed ()
 Returns the flag indicating if continuity direction at first edge is reversed
Created in NX8.0.0. More...
 
bool IsFirstEdgeLimitEndToEnd ()
 Returns the flag indicating if the first edge limit is end to end
Created in NX8.0.0. More...
 
bool IsFirstEdgeReversed ()
 Returns the flag indicating if the first edge direction is reversed
Created in NX8.0.0. More...
 
bool IsSecondEdgeContinuityReversed ()
 Returns the flag indicating if continuity direction at second edge is reversed
Created in NX8.0.0. More...
 
bool IsSecondEdgeLimitEndToEnd ()
 Returns the flag indicating if the second edge limit is end to end
Created in NX8.0.0. More...
 
bool IsSecondEdgeReversed ()
 Returns the flag indicating if the second edge direction is reversed
Created in NX8.0.0. More...
 
bool IsStartHandlesLinked ()
 Returns the flag indicating if the start handles are linked
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::RebuildRebuild ()
 Returns the surface rebuild data
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::ContinuitySecondEdgeContinuity ()
 Returns the second edge continuity
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderSecondEdgeOffset ()
 Returns the second edge offset
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::CurveRangeBuilderSecondEdgeRange ()
 Returns the second edge range
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectSecondEdgeSelection ()
 Returns the second edge selection
Created in NX8.0.0. More...
 
void SetEndHandlesLinked (bool isEndHandlesLinked)
 Sets the flag indicating if the end handles are linked
Created in NX8.0.0. More...
 
void SetFirstEdgeContinuityReversed (bool isFirstEdgeContinuityReversed)
 Sets the flag indicating if continuity direction at first edge is reversed
Created in NX8.0.0. More...
 
void SetFirstEdgeLimitEndToEnd (bool isFirstEdgeLimitEndToEnd)
 Sets the flag indicating if the first edge limit is end to end
Created in NX8.0.0. More...
 
void SetFirstEdgeReversed (bool isFirstEdgeReversed)
 Sets the flag indicating if the first edge direction is reversed
Created in NX8.0.0. More...
 
void SetG0Tolerance (double g0Tolerance)
 Sets the g0 tolerance
Created in NX8.0.0. More...
 
void SetG1Tolerance (double g1Tolerance)
 Sets the g1 tolerance
Created in NX8.0.0. More...
 
void SetG2Tolerance (double g2Tolerance)
 Sets the g2 tolerance
Created in NX8.0.0. More...
 
void SetSecondEdgeContinuityReversed (bool isSecondEdgeContinuityReversed)
 Sets the flag indicating if continuity direction at second edge is reversed
Created in NX8.0.0. More...
 
void SetSecondEdgeLimitEndToEnd (bool isSecondEdgeLimitEndToEnd)
 Sets the flag indicating if the second edge limit is end to end
Created in NX8.0.0. More...
 
void SetSecondEdgeReversed (bool isSecondEdgeReversed)
 Sets the flag indicating if the second edge direction is reversed
Created in NX8.0.0. More...
 
void SetStartHandlesLinked (bool isStartHandlesLinked)
 Sets the flag indicating if the start handles are linked
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::BridgeSurface builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateBridgeSurfaceBuilder
Default values.

Property Value

EdgeFlowDirection.FlowDirectionType

NotSpecified

FirstEdgeContinuity.ContinuityType

G1

FirstEdgeRange.AnchorPosition

Start

IsFirstEdgeLimitEndToEnd

0

IsSecondEdgeLimitEndToEnd

0

SecondEdgeContinuity.ContinuityType

G1


Created in NX8.0.0.

Member Function Documentation

void NXOpen::Features::BridgeSurfaceBuilder::ConstructSurfaceBoundaryCurve ( bool  startBoundary)

Constructs bridge surface boundary curve
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
startBoundaryTrue if start boundary and false if end boundary
NXOpen::GeometricUtilities::FlowDirection* NXOpen::Features::BridgeSurfaceBuilder::EdgeFlowDirection ( )

Returns the flow direction.

See NXOpen::GeometricUtilities::FlowDirection for details.


Created in NX8.0.0.

License requirements : None

NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::BridgeSurfaceBuilder::EdgeTangentMagnitude ( )

Returns the edge tangent magnitude
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::BridgeSurfaceBuilder::FirstEdgeContinuity ( )

Returns the first edge continuity
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::BridgeSurfaceBuilder::FirstEdgeOffset ( )

Returns the first edge offset
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::BridgeSurfaceBuilder::FirstEdgeRange ( )

Returns the first edge range
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::BridgeSurfaceBuilder::FirstEdgeSelection ( )

Returns the first edge selection
Created in NX8.0.0.



License requirements : None

double NXOpen::Features::BridgeSurfaceBuilder::G0Tolerance ( )

Returns the g0 tolerance
Created in NX8.0.0.



License requirements : None

double NXOpen::Features::BridgeSurfaceBuilder::G1Tolerance ( )

Returns the g1 tolerance
Created in NX8.0.0.



License requirements : None

double NXOpen::Features::BridgeSurfaceBuilder::G2Tolerance ( )

Returns the g2 tolerance
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::BridgeSurfaceBuilder::IsEndHandlesLinked ( )

Returns the flag indicating if the end handles are linked
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::BridgeSurfaceBuilder::IsFirstEdgeContinuityReversed ( )

Returns the flag indicating if continuity direction at first edge is reversed
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::BridgeSurfaceBuilder::IsFirstEdgeLimitEndToEnd ( )

Returns the flag indicating if the first edge limit is end to end
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::BridgeSurfaceBuilder::IsFirstEdgeReversed ( )

Returns the flag indicating if the first edge direction is reversed
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::BridgeSurfaceBuilder::IsSecondEdgeContinuityReversed ( )

Returns the flag indicating if continuity direction at second edge is reversed
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::BridgeSurfaceBuilder::IsSecondEdgeLimitEndToEnd ( )

Returns the flag indicating if the second edge limit is end to end
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::BridgeSurfaceBuilder::IsSecondEdgeReversed ( )

Returns the flag indicating if the second edge direction is reversed
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::BridgeSurfaceBuilder::IsStartHandlesLinked ( )

Returns the flag indicating if the start handles are linked
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::BridgeSurfaceBuilder::Rebuild ( )

Returns the surface rebuild data
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::BridgeSurfaceBuilder::SecondEdgeContinuity ( )

Returns the second edge continuity
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::BridgeSurfaceBuilder::SecondEdgeOffset ( )

Returns the second edge offset
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::BridgeSurfaceBuilder::SecondEdgeRange ( )

Returns the second edge range
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::BridgeSurfaceBuilder::SecondEdgeSelection ( )

Returns the second edge selection
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::BridgeSurfaceBuilder::SetEndHandlesLinked ( bool  isEndHandlesLinked)

Sets the flag indicating if the end handles are linked
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isEndHandlesLinkedisendhandleslinked
void NXOpen::Features::BridgeSurfaceBuilder::SetFirstEdgeContinuityReversed ( bool  isFirstEdgeContinuityReversed)

Sets the flag indicating if continuity direction at first edge is reversed
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isFirstEdgeContinuityReversedisfirstedgecontinuityreversed
void NXOpen::Features::BridgeSurfaceBuilder::SetFirstEdgeLimitEndToEnd ( bool  isFirstEdgeLimitEndToEnd)

Sets the flag indicating if the first edge limit is end to end
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isFirstEdgeLimitEndToEndisfirstedgelimitendtoend
void NXOpen::Features::BridgeSurfaceBuilder::SetFirstEdgeReversed ( bool  isFirstEdgeReversed)

Sets the flag indicating if the first edge direction is reversed
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isFirstEdgeReversedisfirstedgereversed
void NXOpen::Features::BridgeSurfaceBuilder::SetG0Tolerance ( double  g0Tolerance)

Sets the g0 tolerance
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
g0Toleranceg0tolerance
void NXOpen::Features::BridgeSurfaceBuilder::SetG1Tolerance ( double  g1Tolerance)

Sets the g1 tolerance
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
g1Toleranceg1tolerance
void NXOpen::Features::BridgeSurfaceBuilder::SetG2Tolerance ( double  g2Tolerance)

Sets the g2 tolerance
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
g2Toleranceg2tolerance
void NXOpen::Features::BridgeSurfaceBuilder::SetSecondEdgeContinuityReversed ( bool  isSecondEdgeContinuityReversed)

Sets the flag indicating if continuity direction at second edge is reversed
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isSecondEdgeContinuityReversedissecondedgecontinuityreversed
void NXOpen::Features::BridgeSurfaceBuilder::SetSecondEdgeLimitEndToEnd ( bool  isSecondEdgeLimitEndToEnd)

Sets the flag indicating if the second edge limit is end to end
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isSecondEdgeLimitEndToEndissecondedgelimitendtoend
void NXOpen::Features::BridgeSurfaceBuilder::SetSecondEdgeReversed ( bool  isSecondEdgeReversed)

Sets the flag indicating if the second edge direction is reversed
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isSecondEdgeReversedissecondedgereversed
void NXOpen::Features::BridgeSurfaceBuilder::SetStartHandlesLinked ( bool  isStartHandlesLinked)

Sets the flag indicating if the start handles are linked
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
isStartHandlesLinkedisstarthandleslinked

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.